@import url("https://fonts.googleapis.com/css2?family=ABeeZee&family=Inria+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Montserrat:wght@300;400;500;600;700;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=ABeeZee&family=Inria+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Jacques+Francois+Shadow&family=Montserrat:wght@300;400;500;600;700;900&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Inria Sans", sans-serif;
  color: #000000;
}

.container {
  padding: 12vh 2vw 1vh 4vw;
  margin-top: 18vh;
}

/*----------------------------------Logged in css----------------------------*/

.acc-section {
  height: 80vh;
  width: 70vw;
  background-color: #ececec;
  margin-left: 11vw;
  margin-top: 3vh;
  display: flex;
}

.section-box {
  height: 32vh;
  width: 15vw;
  background-color: #ffffff;
  margin-left: 3vw;
  margin-top: 5vh;
}

.section-box .box {
  height: 8vh;
  width: 15vw;
  border: 1px solid black;
  border-top: none;
  border-left: none;
  border-right: none;
  cursor: pointer;
}

.section-box .box p {
  font-size: 1.5vw;
  text-align: center;
  padding-top: 3vh;
  color: #402d7c;
}

.section-box .box:hover {
  background-color: #006eff;
}

.section-box .profile.active,
.orders.active {
  background-color: #0091ff;
}

.details {
  position: relative;
}

/*---------------Profile Edit---------------- */

.profile-box {
  height: 70vh;
  width: 35vw;
  background-color: #ffffff;
  margin-left: 6vw;
  margin-top: 5vh;
}

.profile-box h2 {
  margin-left: 13vw;
  padding-top: 2vh;
  color: #0c1e71;
}

.profile-box .profile-details {
  margin-top: 1vh;
  margin-left: 2vw;
}

.profile-details .edit {
  margin-top: 2vh;
}

.profile-details input {
  height: 5vh;
  width: 17vw;
  margin-top: 1vh;
}

.profile-details button {
  height: 6vh;
  width: 6vw;
  margin-top: 7vh;
  margin-left: 12vw;
  font-size: 4vh;
  color: white;
  border-radius: 4vw;
  background-color: #1cb94e;
  border: none;
  cursor: pointer;
}

/*---------------Order History------------------ */

.order-box {
  position: absolute;
  height: 70vh;
  width: 35vw;
  margin-left: 6vw;
  margin-top: 5vh;
  top: 0;
  background-color: #ffffff;
  overflow-y: scroll;
}

.order-box h2 {
  margin-left: 15vw;
  margin-top: 2vh;
  color: #0c1e71;
}

.order-box .order-list {
  margin-left: 1vw;
  margin-right: 1vw;
  margin-top: 1vh;
  border: 1px solid rgb(54, 50, 50);
}

.order-list .order-id-status {
  height: 4vh;
  margin-top: 1vh;
  display: flex;
  justify-content: space-between;
  border-bottom: 1px dotted rgb(54, 50, 50);
}

.order-list .sub-order-list {
  display: flex;
  margin-top: 2vh;
}

.sub-order-list img {
  height: 10vh;
  width: 4vw;
}

.sub-order-list .details {
  display: flex;
}

.details .book {
  width: 17vw;
  margin-left: 1vw;
}

p.qty {
  color: #525050;
}

/*-------------------Logged out css----------------*/

.login-box {
  position: relative;
  margin: 10px auto;
  width: 500px;
  height: 450px;
  background-color: #fff;
  margin-top: 28vh;
  padding: 10px;
  border-radius: 3px;
  -webkit-box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.33);
  -moz-box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.33);
  box-shadow: 0px 2px 3px 0px rgba(0, 0, 0, 0.33);
}

.lb-header {
  position: relative;
  color: #00415d;
  margin: 5px 5px 10px 5px;
  padding-bottom: 10px;
  border-bottom: 1px solid #eee;
  text-align: center;
  height: 28px;
}

.lb-header a {
  margin: 0 25px;
  padding: 0 20px;
  text-decoration: none;
  color: #666;
  font-weight: bold;
  font-size: 20px;
  -webkit-transition: all 0.1s linear;
  -moz-transition: all 0.1s linear;
  transition: all 0.1s linear;
}

.lb-header .active {
  color: #0047ff;
  font-size: 22px;
}

.email-login,
.signup-form,
.reset-password,
.enter-code,
.get-code {
  position: relative;
  float: left;
  width: 100%;
  height: auto;
  margin-top: 20px;
  text-align: center;
}

.u-form-group {
  width: 100%;
  margin-bottom: 10px;
}

.reset-password h3 {
  font-size: 20px;
  font-weight: lighter;
}

.u-form-group input[type="email"],
.u-form-group input[type="password"],
.u-form-group input[type="number"],
.u-form-group input[type="text"],
.u-form-group select {
  width: 60%;
  height: 40px;
  outline: none;
  border: 1px solid #ddd;
  padding: 0 10px;
  border-radius: 10px;
  color: #333;
  font-size: 1rem;
  -webkit-transition: all 0.1s linear;
  -moz-transition: all 0.1s linear;
  transition: all 0.1s linear;
}

.u-form-group input[type="email"].is-invalid,
.u-form-group input[type="password"].is-invalid,
.u-form-group input[type="number"].is-invalid,
.u-form-group input[type="text"].is-invalid {
  border-color: #dc3545;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.u-form-group input[type="email"].is-valid,
.u-form-group input[type="password"].is-valid,
.u-form-group input[type="number"].is-valid,
.u-form-group input[type="text"].is-valid {
  border-color: #198754;
  padding-right: calc(1.5em + 0.75rem);
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23198754' d='M2.3 6.73.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.u-form-group input:focus {
  border-color: #358efb;
}

.u-form-group button {
  width: 30%;
  background-color: #0047ff;
  border: none;
  outline: none;
  color: #fff;
  font-size: 16px;
  font-weight: normal;
  padding: 14px 0;
  border-radius: 2px;
  text-transform: uppercase;
  cursor: pointer;
}

.error p {
  visibility: hidden;
  font-size: 20px;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  color: rgb(231, 47, 47);
}

.error.active p {
  visibility: visible;
}

.forgot-password {
  width: 50%;
  text-align: left;
  text-decoration: underline;
  color: #888;
  font-size: 1rem;
}

/* Resend otp button  */
.resend-button {
  color: #000;
  font-size: 14px;
  font-weight: normal;
  padding: 4px;
  border-radius: 2px;
  margin-top: 1vh;
  width: 5vw;
}

/*------------------Responsive For width less than 700px------------------------*/

@media only screen and (max-width: 700px) {
  .container {
    padding: 14vh 3vw 1vh 3vw;
    margin-top: 6vh;
  }

  /*-----------Logged in css---------------*/
  .acc-section {
    height: 60vh;
    width: 90vw;
    margin-left: 3vw;
    margin-top: 1vh;
  }

  .section-box {
    height: 16vh;
    width: 20vw;
    margin-top: 3vh;
  }

  .section-box .box {
    height: 4vh;
    width: 20vw;
  }

  .section-box .box p {
    font-size: 12px;
    padding-top: 1vh;
  }

  /*Profile Edit*/
  .profile-box {
    height: 55vh;
    width: 57vw;
    background-color: #ffffff;
    margin-top: 3vh;
  }

  .profile-box h2 {
    margin-left: 10vw;
  }

  .profile-details .edit {
    margin-top: 1vh;
  }

  .profile-details input {
    height: 3vh;
    width: 50vw;
    margin-top: 0.1vh;
  }
  .profile-details button {
    height: 4vh;
    width: 22vw;
    font-size: 3vh;
    margin-top: 3vh;
    margin-left: 27vw;
  }

  /*Order History*/
  .order-box {
    height: 55vh;
    width: 57vw;
    margin-top: 3vh;
  }

  .order-box h2 {
    margin-top: 0;
  }

  .order-list .order-id-status {
    height: 2vh;
    font-size: 10px;
  }

  .sub-order-list img {
    height: 10vh;
    width: 14vw;
  }

  .details .book {
    width: 27vw;
    font-size: 9px;
  }

  p.qty {
    font-size: 10px;
  }

  .order-list .sub-order-list {
    margin-top: 1vh;
  }

  /*-----------Logged out css---------*/
  .login-box {
    margin: 9px auto;
    height: 50vh;
    width: 90vw;
    margin-top: 16vh;
    padding: 8px;
  }

  .lb-header a {
    margin: 0 20px;
    padding: 0 10px;
  }

  .u-form-group input[type="email"],
  .u-form-group input[type="password"],
  .u-form-group input[type="number"],
  .u-form-group input[type="text"] {
    width: calc(80% - 22px);
    height: 40px;
  }

  .u-form-group button {
    width: 40%;
  }

  /* Resend otp button  */
  .resend-button {
    width: 60px;
  }

  /* Footer */
  .footer {
    margin-top: 6vh;
  }
}
